@import "mixins"
@import "grid"
@import "tabs"
@import "table"
@import "chart"

*
  margin 0
  padding 0
  box-sizing border-box

html
  font-size 62.5%
  height 100%
  background desktopColor
  overflow-y scroll

body
  body-font()
  height 100%
  width 100%
  background desktopColor

.display-font
  display-font()

.headline-font
  headline-font()

.subhead-font
  subhead-font()

.title-font
  title-font()

.caption-font
  caption-font()

.body-font
  body-font()

.primary-body-font
  body-font(primaryColor)

.button-font
  button-font()

.decorator
  decorator(10px, gap / 2)
  background paperColor
  min-height 100%

.container
  container()
  display inline-block

input
  body-font()
  user-select-none()
  border none
  background-image: linear-gradient(primaryColor,primaryColor);
  background-size: 100% 2px;
  background-repeat: no-repeat;
  background-position: center bottom;
  background-color: transparent;
  &.ng-invalid-required
    background-image: linear-gradient(errorColor,errorColor);

ul
  list-style-type none
  border none
li
  margin-left gap

.catalog
  li
    vertical-align middle
    height 48px
    line-height 48px

.footer
  border-top 1px solid desktopColor
  margin-top 150px
  padding-top 20px

.crump
  caption-font()
  margin-left 8px
  &::after
    content " ›"

.subheader
  margin-top (24px/2)

.hidden
  display none;

.flat-button
  button-outer(bodyColor, paperColor)

.primary-button
  button-outer(paperColor, primaryColor)
  margin-left 0

.action-icon-up
  action-icon()
  &::after
    content "↑"
.action-icon-down
  action-icon()
  &::after
    content "↓"
.action-icon-left
  action-icon()
  &::after
    content "←"
.action-icon-right
  action-icon()
  &::after
    content "→"

.popover
  display block
  background paperColor
  position absolute
  z-index 31337
  border 1px solid desktopColor
  padding 3px
  box-shadow 3px 3px 3px 1px lightness(desktopColor, 50%)

.popover_image
  max-width 500px
  width 100%